> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit e-invoice for customer credit

> Submits an e-invoice for the given customer credit. The customer credit must be posted.



## OpenAPI

````yaml /openapi-public.json post /v1/customer-credits/{customerCreditId}/submit-einvoice
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/customer-credits/{customerCreditId}/submit-einvoice:
    post:
      tags:
        - v1 - Customer Credits
      summary: Submit e-invoice for customer credit
      description: >-
        Submits an e-invoice for the given customer credit. The customer credit
        must be posted.
      operationId: submitCustomerCreditEInvoice
      parameters:
        - name: customerCreditId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8: {}
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````